class crashAI extends AIController
{
	function Start();
}

function crashAI::Start()
{
	local companyName = "Freezing AI Company"
	if (!AICompany.SetName(companyName)) 
	{
		local i = 2;
		while (!AICompany.SetName(companyName + " #" + i)) 
		{
			i = i + 1;
		}
	}
	AILog.Info("Company name set to " + companyName + " #x")
	crashAI.initializeFreeze()
	while (true)
	{
		AILog.Info("OpenTTD hasn't frozen yet");
		Sleep(200);	
	}
}
function crashAI::initializeFreeze()
{
	local townList = AITownList();
	townList.Valuate(AITown.GetPopulation);
	townList.Sort(AIAbstractList.SORT_BY_VALUE,true);
	local townID = townList.Begin();
	local townLoc = AITown.GetLocation(townID)
	local townRoadTiles = AITileList()
	/* create rectangle */
	local area = AITileList();
	area.AddRectangle(townLoc - AIMap.GetTileIndex(5, 5), townLoc + AIMap.GetTileIndex(5, 5));
	area.Valuate(freezeNow,area)
}
function crashAI::freezeNow(tileID,area)
{
	local boolean = AIRoad.IsRoadTile(tileID)
	if (!boolean)
	{
		area.RemoveTile(tileID)
	}
	return boolean;
}